### Function

# Camel pstring_peek

since: 2.24

#### Declaration [src]

    const gchar*
    camel_pstring_peek (
      const gchar* string
    )

#### Description [src]

Returns the canonicalized copy of `string` without increasing its reference count in the string pool. The `string` is not added to the string pool when it’s not part of it and `NULL` is returned.

The `NULL` and empty strings are special cased to constant values.

Available since: 2.24

#### Parameters

`string`

  Type: `const gchar*`

  String to fetch from the string pool.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A canonicalized copy of `string`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.